Ruby - Bug #13766

Ruby 2.3.4 build problem with "-fstack-check™
07/25/2017 03:51 AM - taca (Takahiro Kambe)

Status: Closed

Priority: Normal

Assignee: usa (Usaku NAKAMURA)

Target version:

ruby -v: ruby 2.3.4p301 (2017-03-30 revision Backport: 2.2: DONTNEED, 2.3: DONE, 2.4:
58214) [x86_64-netbsd] DONTNEED

Description

pkgsrcll PKGSRC_USE_STACK_CHECK [l yes 00000 Ruby 2.3.4 00000000000
0000000tool/generic_erb.rb [ encdb.h 0000000 erb.ro 0000000000

lib/erb.rb:654:in "block in compile': can't modify frozen String (RuntimeError)

gaoooooooooo miniruby I frozen_string_literal Dmagic comment 0000000000000
0000 true 000O00DOODDOODOO0DOPKGSRC_USE_STACK_CHECK 0000000000
gecll-fstack-cheeck00000000000000000

HHHDcEl)mpile.cI]ifI][II][II][II][II][II][II][II][II]DDDDDDDDDDDDDDDDDDDDDD

000 r57971 0O0000000000000000000000000Ruby 2.400000000000
HHHRuby 2.3[||][||]Dfrozen_string_literalﬂmagic commentl000000000000000000

pkgsrcl000000000000: http://mail-index.netbsd.org/pkgsrc-changes/2017/07/24/msg160523.html

Associated revisions

Revision 9ea6f49b4a834977528d7e3b1895ab24b98f6424 - 08/09/2017 08:56 AM - U.Nakamura

e compile.c (iseq_compile_each): the lifetime of new_opt have to be
until this case block is end. this is a part of r57971.
[Backport #13766]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59540 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 9ea6f49b - 08/09/2017 08:56 AM - U.Nakamura

e compile.c (iseq_compile_each): the lifetime of new_opt have to be
until this case block is end. this is a part of r57971.
[Backport #13766]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@59540 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/25/2017 10:58 AM - kOkubun (Takashi Kokubun)
- Backport changed from 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4: UNKNOWN to 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONTNEED

#2 - 07/25/2017 11:16 AM - kOkubun (Takashi Kokubun)
- Assignee set to usa (Usaku NAKAMURA)

r57971 I00upstreaml00000 http:/mail-index.netbsd.org/pkgsrc-changes/2017/07/24/msg160523.html 000000000 r57971
gooooooooooooooooooo0000D00000000000 DOO2.c00000000000000000000

#3 - 07/25/2017 07:39 PM - usa (Usaku NAKAMURA)
- Status changed from Open to Closed
http://mail-index.netbsd.org/pkgsrc-changes/2017/07/24/msg160523.html
http://mail-index.netbsd.org/pkgsrc-changes/2017/07/24/msg160523.html

#4 - 08/09/2017 08:57 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.2: DONTNEED, 2.3: REQUIRED, 2.4: DONTNEED to 2.2: DONTNEED, 2.3: DONE, 2.4: DONTNEED

r579710000000000000000000000000000O0O00000D0000G P
